pidgin: sound-theme.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs
sound-theme.h File Reference

Purple Sound Theme Abstact Class API. More...

`#include <glib.h>`
`#include <glib-object.h>`
`#include "theme.h"`
`#include "sound.h"`

Go to the source code of this file.

## Data Structures
struct | _PurpleSoundTheme
struct | _PurpleSoundThemeClass

## Macros
#define | PURPLE_TYPE_SOUND_THEME (purple_sound_theme_get_type())
#define | PURPLE_SOUND_THEME(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_SOUND_THEME, PurpleSoundTheme))
#define | PURPLE_SOUND_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), PURPLE_TYPE_SOUND_THEME, PurpleSoundThemeClass))
#define | PURPLE_IS_SOUND_THEME(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), PURPLE_TYPE_SOUND_THEME))
#define | PURPLE_IS_SOUND_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), PURPLE_TYPE_SOUND_THEME))
#define | PURPLE_SOUND_THEME_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), PURPLE_TYPE_SOUND_THEME, PurpleSoundThemeClass))

## Typedefs
typedef struct _PurpleSoundTheme | PurpleSoundTheme
| extends PurpleTheme (theme.h) A purple sound theme.
typedef struct _PurpleSoundThemeClass | PurpleSoundThemeClass

## Functions
Purple Sound Theme API <br>
G_BEGIN_DECLS GType | purple_sound_theme_get_type (void)
| GObject foo.
const gchar * | purple_sound_theme_get_file (PurpleSoundTheme *theme, const gchar *event)
| Returns a copy of the filename for the sound event.
gchar * | purple_sound_theme_get_file_full (PurpleSoundTheme *theme, const gchar *event)
| Returns a copy of the directory and filename for the sound event.
void | purple_sound_theme_set_file (PurpleSoundTheme *theme, const gchar *event, const gchar *filename)
| Sets the filename for a given sound event.

## Detailed Description

Purple Sound Theme Abstact Class API.

Definition in file sound-theme.h.

## Macro Definition Documentation

## ◆ PURPLE_IS_SOUND_THEME

#define PURPLE_IS_SOUND_THEME | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_TYPE((obj), PURPLE_TYPE_SOUND_THEME))

Definition at line 47 of file sound-theme.h.

## ◆ PURPLE_IS_SOUND_THEME_CLASS

#define PURPLE_IS_SOUND_THEME_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_TYPE((klass), PURPLE_TYPE_SOUND_THEME))

Definition at line 48 of file sound-theme.h.

## ◆ PURPLE_SOUND_THEME

#define PURPLE_SOUND_THEME | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_SOUND_THEME, PurpleSoundTheme))

Definition at line 45 of file sound-theme.h.

## ◆ PURPLE_SOUND_THEME_CLASS

#define PURPLE_SOUND_THEME_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_CAST((klass), PURPLE_TYPE_SOUND_THEME, PurpleSoundThemeClass))

Definition at line 46 of file sound-theme.h.

## ◆ PURPLE_SOUND_THEME_GET_CLASS

#define PURPLE_SOUND_THEME_GET_CLASS | ( |  | obj | ) | (G_TYPE_INSTANCE_GET_CLASS((obj), PURPLE_TYPE_SOUND_THEME, PurpleSoundThemeClass))

Definition at line 49 of file sound-theme.h.

## ◆ PURPLE_TYPE_SOUND_THEME

#define PURPLE_TYPE_SOUND_THEME (purple_sound_theme_get_type())

Definition at line 44 of file sound-theme.h.

## Typedef Documentation

## ◆ PurpleSoundTheme

typedef struct _PurpleSoundTheme PurpleSoundTheme

extends PurpleTheme (theme.h) A purple sound theme.

This is an object for Purple to represent a sound theme.

PurpleSoundTheme is a PurpleTheme Object.

Definition at line 41 of file sound-theme.h.

## ◆ PurpleSoundThemeClass

typedef struct _PurpleSoundThemeClass PurpleSoundThemeClass

Definition at line 42 of file sound-theme.h.

## Function Documentation

## ◆ purple_sound_theme_get_file()

const gchar * purple_sound_theme_get_file | ( | PurpleSoundTheme * | theme,
|  | const gchar * | event
| ) |  |

Returns a copy of the filename for the sound event.

Parameters

  theme | The theme.
  event | The purple sound event to look up.

Returns
  The filename of the sound event.

## ◆ purple_sound_theme_get_file_full()

gchar * purple_sound_theme_get_file_full | ( | PurpleSoundTheme * | theme,
|  | const gchar * | event
| ) |  |

Returns a copy of the directory and filename for the sound event.

Parameters

  theme | The theme.
  event | The purple sound event to look up

Returns
  The directory + '/' + filename of the sound event. This is a newly allocated string that should be freed with g_free.

## ◆ purple_sound_theme_set_file()

void purple_sound_theme_set_file | ( | PurpleSoundTheme * | theme,
|  | const gchar * | event,
|  | const gchar * | filename
| ) |  |

Sets the filename for a given sound event.

Parameters

  theme | The theme.
  event | the purple sound event to look up
  filename | the name of the file to be used for the event